*** Settings ***
Library  snowflake.connector
Library  OperatingSystem

*** Variables ***
${account_url}=   Set Variable   av29276.ap-southeast-1
${user}=          Set Variable   GSBL
${password}=      Set Variable   Vanajarao10
${database}=      Set Variable   SNOW_TEST

#${user}        GSBL
#${password}    Vanajarao10
#${account}     av29276.ap-southeast-1
#${database}    SNOW_TEST


*** Test Cases ***
Connect to Snowflake
    ${conn}=    snowflake.connector.connect(
    account=${account_url},
    user=${user},
    password=${password},
    database=${database}
)

    ${cursor}=  Evaluate  ${conn}.cursor()

Run SQL Query in Snowflake
   ${query}=   Set Variable   SELECT * FROM siva
   ${cursor}.execute(${query})
   @{result}=  Fetchall From Cursor   ${cursor}
